List of all members
clan::FontDescription Class Reference
clanDisplay Font

Font description class. More...

`#include <font_description.h>`

## Public Member Functions
Operations
FontDescription & | operator= (const FontDescription &copy)
| Copy assignment operator (does not copy the description, use clone() if you want that) More...
FontDescription | clone () const
void | set_height (float value=20.0f)
| Sets the font height. More...
void | set_average_width (float value=0.0f)
| Sets the font average width. More...
void | set_escapement (float value)
| Sets the font escapement. More...
void | set_orientation (float value)
| Sets the font orientation. More...
void | set_weight (FontWeight value=FontWeight::normal)
| Sets the font weight. More...
void | set_line_height (float height)
| Sets the distance between each line. More...
void | set_style (FontStyle setting=FontStyle::normal)
| Sets the font style. More...
void | set_anti_alias (bool setting=true)
| Sets the font anti-alias setting (defaults to true) More...
void | set_subpixel (bool setting=true)
| Sets the font subpixel rendering setting (defaults to true) More...
void | set_charset (Charset new_charset)
| Sets the font charset (defaults to charset_default) More...

## Construction
| FontDescription ()
| Constructs a font description with default values. More...
virtual | ~FontDescription ()
static FontDescription | create_null_object ()
| Create null object. More...

## Attributes
enum | Charset { charset_default, charset_ansi, charset_baltic, charset_chinesebig5, charset_easteurope, charset_gb2312, charset_greek, charset_hangul, charset_mac, charset_oem, charset_russian, charset_shiftjis, charset_symbol, charset_turkish, charset_vietnamese, charset_johab, charset_arabic, charset_hebrew, charset_thai }
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
float | get_height () const
| Returns the font height. More...
float | get_line_height () const
| Returns the distance between each line. More...
float | get_average_width () const
| Returns the font average width. More...
float | get_escapement () const
| Returns the font escapement. More...
float | get_orientation () const
| Returns the font orientation. More...
FontWeight | get_weight () const
| Returns the font weight. More...
FontStyle | get_style () const
| Returns the font style. More...
bool | get_anti_alias () const
| Get the font anti-alias setting (defaults to true) More...
bool | get_subpixel () const
| Get the font subpixel rendering setting (defaults to true) More...
Charset | get_charset () const
| Get the font charset More...
bool | operator== (const FontDescription &other) const
| Returns true if the font is identical Line_height is excluded. More...
std::string | get_unique_id () const
| Returns an unique string identifying this font description. More...

## Detailed Description

Font description class.

This class allows you to setup a more advanced description when creating a font.

The documentation for this class was generated from the following file:

- font_description.h